Package Details: powercord-electron-git r1420.bb30f258-1

Git Clone URL: https://aur.archlinux.org/powercord-electron-git.git (read-only, click to copy)
Package Base: powercord-electron-git
Description: A lightweight discord client mod focused on simplicity and performance.
Upstream URL: https://github.com/powercord-org/powercord
Keywords: discord discord-canary electron powercord
Licenses: MIT
Conflicts: powercord
Provides: powercord
Submitter: m00nw4tch3r
Maintainer: None
Last Packager: m00nw4tch3r
Votes: 9
Popularity: 0.000004
First Submitted: 2021-09-05 07:13 (UTC)
Last Updated: 2022-08-05 16:56 (UTC)

Pinned Comments

m00nw4tch3r commented on 2022-08-08 18:49 (UTC)

As Powercord went EOL, I will continue maintaining a package for the Replugged fork instead of this one: https://aur.archlinux.org/packages/replugged-electron-git/.

Latest Comments

1 2 3 4 5 Next › Last »

m00nw4tch3r commented on 2022-08-08 18:49 (UTC)

As Powercord went EOL, I will continue maintaining a package for the Replugged fork instead of this one: https://aur.archlinux.org/packages/replugged-electron-git/.

m00nw4tch3r commented on 2022-08-05 15:06 (UTC) (edited on 2022-08-05 17:16 (UTC) by m00nw4tch3r)

@scarlett all the other package does is add the electron flags for wayland support to the command line, just enable them in electron-flags.conf as per https://wiki.archlinux.org/title/Wayland#Electron, or edit the startup script powercord.sh

EDIT: Applied the fixes for latest powercord version.

@theriddick the updater is working correctly for me.

theriddick commented on 2022-07-29 02:01 (UTC) (edited on 2022-07-29 02:06 (UTC) by theriddick)

Ok I fixed the issue. Here is whats needed to get it to compile.

Put a SKIP on the last hash in md5sums as we are editing the updater.patch.

Then change in powercord-updater.patch at the end where it says await exec. Make that await PowercordNative.exec

Basically all that was changed is PowercordNative was added in before exec. Simple fix.

Note: This however may not resolve the updater insisting there is a update. That could be a git version issue which hopefully will get overall updated soon.

Note2: It seems rebuilding powercord-electron again might have fixed the needs updating messages. (I'm using v136 btw, just change the pkgbuild from 135 to 136)

simonzack commented on 2022-07-24 09:38 (UTC)

Latest build is failing:

Hunk #2 FAILED at 246.
1 out of 2 hunks FAILED -- saving rejects to file src/Powercord/plugins/pc-updater/index.js.rej
==> ERROR: A failure occurred in prepare().
    Aborting...
error: failed to build 'powercord-electron-git-r1372.b4103b08-4':

oldirrelevantacc commented on 2022-05-25 21:04 (UTC)

Hi, it would be nice if this package could optionally use https://aur.archlinux.org/packages/discord-canary-electron-wayland-bin instead of the usual discord-canary-electron-bin for those of us using Wayland. Cheers!

theriddick commented on 2022-04-16 01:45 (UTC)

Yeah it works now but keep in mind the main electron canary package is still on 134 and will need to be adjusted in the PKGBUILD to 135.

m00nw4tch3r commented on 2022-04-15 16:11 (UTC)

Ok, now its fixed.

simonzack commented on 2022-04-15 15:08 (UTC)

Plugins aren't working. join isn't defined in the patch https://aur.archlinux.org/cgit/aur.git/tree/powercord-plugins.patch?h=powercord-electron-git&id=ac1340dab1808a2a604cc3cf7a7edeae68ffd828.

m00nw4tch3r commented on 2022-04-15 12:15 (UTC) (edited on 2022-04-15 12:37 (UTC) by m00nw4tch3r)

I added the patch, but it looks like there was another breaking change in powercord since then.

EDIT: Fixed.

theriddick commented on 2022-04-15 05:36 (UTC) (edited on 2022-04-15 05:40 (UTC) by theriddick)

@solonovamax the patch file seems to not patch the source PKGBUILD anymore.

The PKGBUILD here does not work still..


patching file src/fake_node_modules/powercord/constants.js
Hunk #1 FAILED at 6.
Hunk #2 succeeded at 7 (offset -6 lines).
1 out of 2 hunks FAILED -- saving rejects to file src/fake_node_modules/powercord/constants.js.rej
patching file src/patcher.js
Hunk #1 succeeded at 4 (offset -6 lines).
patching file src/browserWindow.js
Hunk #1 succeeded at 28 (offset -6 lines).